%define tallocmajor 2
%define libtalloc %mklibname talloc %{tallocmajor}
%define tallocdev %mklibname talloc -d
%define libpytalloc %mklibname pytalloc-util %{tallocmajor}
%define libpytallocdev %mklibname pytalloc-util -d

Summary:	Library implementing Samba's memory allocator
Name:		talloc
Version:	2.1.5
Release:	1
# tallocversion was not used when in samba4, so it was 4.0.0
Epoch:		1
License:	GPLv3+
Group:		System/Libraries
Url:		http://talloc.samba.org
Source0:	http://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.gz
Source1:	http://talloc.samba.org/ftp/talloc/talloc-%{version}.tar.asc
Source2:	samba-bugs.asc
BuildRequires:	docbook-style-xsl
BuildRequires:	swig
BuildRequires:	xsltproc
BuildRequires:	acl-devel
BuildRequires:	pkgconfig(python)

%description
Library implementing Samba's memory allocator.

#----------------------------------------------------------------------------

%package -n %{libtalloc}
Summary:	Library implementing Samba's memory allocator
Group:		System/Libraries

%description -n %{libtalloc}
Library implementing Samba's memory allocator.

%files -n %{libtalloc}
%{_libdir}/libtalloc.so.%{tallocmajor}*

#----------------------------------------------------------------------------

%package -n %{tallocdev}
Summary:	Development files for library implementing Samba's memory allocator
Group:		Development/C
Requires:	%{libtalloc} = %{EVRD}
Provides:	talloc-devel = %{EVRD}

%description -n %{tallocdev}
Development files for library implementing Samba's memory allocator.

%files -n %{tallocdev}
%{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*

#----------------------------------------------------------------------------

%package -n python-talloc
Summary:	Python module for Samba's talloc memory allocator
Group:		Development/Python

%description -n python-talloc
Python module for Samba's talloc memory allocator.

%files -n python-talloc
%{py_platsitedir}/talloc.so

#----------------------------------------------------------------------------

%package -n %{libpytalloc}
Summary:	Utility functions for using talloc objects with Python
Group:		Development/C

%description -n %{libpytalloc}
Utility functions for using talloc objects with Python.

%files -n %{libpytalloc}
%{_libdir}/libpytalloc-util.so.%{tallocmajor}*

#----------------------------------------------------------------------------

%package -n %{libpytallocdev}
Summary:	Development files for utility functions for using talloc objects with Python
Group:		Development/C
Provides:	pytalloc-util-devel = %{EVRD}
Requires:	%{libpytalloc} = %{EVRD}

%description -n %{libpytallocdev}
Development files for utility functions for using talloc objects with Python.

%files -n %{libpytallocdev}
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.so
%{_libdir}/pkgconfig/pytalloc-util.pc

#----------------------------------------------------------------------------

%prep
%setup -q
chmod +r -R .

%build
%setup_compile_flags
./configure --prefix=%{_prefix} --libdir=%{_libdir}
%make

%install
%makeinstall_std
chmod +x %{buildroot}{%{_libdir}/lib*.so.%{tallocmajor}*,%{py_platsitedir}/talloc.so}


%changelog

* Tue Dec 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.1.5-1
- (ad1bd05) New version 2.1.5


